Index: make/for.c
===================================================================
RCS file: /cvs/src/usr.bin/make/for.c,v
retrieving revision 1.3
diff -u -u -r1.3 for.c
--- make/for.c	3 Nov 2003 19:31:30 -0000	1.3
+++ make/for.c	7 Nov 2004 20:02:15 -0000
@@ -189,7 +189,7 @@
 		wrd = ptr--;
 	    }
 	if (DEBUG(FOR))
-	    (void) fprintf(stderr, "For: Iterator %s List %s\n", forVar, sub);
+	    fprintf(stderr, "For: Iterator %s List %s\n", forVar, sub);
 	if (ptr - wrd > 0)
 	    ADDWORD();
 	else
@@ -208,7 +208,7 @@
 	if (strncmp(ptr, "endfor", 6) == 0 &&
 	    (isspace((unsigned char) ptr[6]) || !ptr[6])) {
 	    if (DEBUG(FOR))
-		(void) fprintf(stderr, "For: end for %d\n", forLevel);
+		fprintf(stderr, "For: end for %d\n", forLevel);
 	    if (--forLevel < 0) {
 		Parse_Error (level, "for-less endfor");
 		return 0;
@@ -218,7 +218,7 @@
 		 isspace((unsigned char) ptr[3])) {
 	    forLevel++;
 	    if (DEBUG(FOR))
-		(void) fprintf(stderr, "For: new loop %d\n", forLevel);
+		fprintf(stderr, "For: new loop %d\n", forLevel);
 	}
     }
 
@@ -255,7 +255,7 @@
     int len;
     Var_Set(arg->var, name, VAR_GLOBAL);
     if (DEBUG(FOR))
-	(void) fprintf(stderr, "--- %s = %s\n", arg->var, name);
+	fprintf(stderr, "--- %s = %s\n", arg->var, name);
     Parse_FromString(Var_Subst(arg->var, (char *) Buf_GetAll(arg->buf, &len),
 			       VAR_GLOBAL, FALSE));
     Var_Delete(arg->var, VAR_GLOBAL);
Index: make/hash.c
===================================================================
RCS file: /cvs/src/usr.bin/make/hash.c,v
retrieving revision 1.3
diff -u -u -r1.3 hash.c
--- make/hash.c	3 Nov 2003 19:31:30 -0000	1.3
+++ make/hash.c	7 Nov 2004 20:02:15 -0000
@@ -247,7 +247,7 @@
 	*hp = e;
 	e->clientData = NULL;
 	e->namehash = h;
-	(void) strcpy(e->name, p);
+	strcpy(e->name, p);
 	t->numEntries++;
 
 	if (newPtr != NULL)
@@ -290,7 +290,7 @@
 			return;
 		}
 	}
-	(void) write(2, "bad call to Hash_DeleteEntry\n", 29);
+	write(2, "bad call to Hash_DeleteEntry\n", 29);
 	abort();
 }
 
Index: make/job.c
===================================================================
RCS file: /cvs/src/usr.bin/make/job.c,v
retrieving revision 1.4
diff -u -u -r1.4 job.c
--- make/job.c	23 Jul 2004 07:12:28 -0000	1.4
+++ make/job.c	7 Nov 2004 20:02:15 -0000
@@ -236,11 +236,11 @@
 #ifdef REMOTE
 # define TARG_FMT  "--- %s at %s ---\n" /* Default format */
 # define MESSAGE(fp, gn) \
-	(void) fprintf(fp, targFmt, gn->name, gn->rem.hname);
+	fprintf(fp, targFmt, gn->name, gn->rem.hname);
 #else
 # define TARG_FMT  "--- %s ---\n" /* Default format */
 # define MESSAGE(fp, gn) \
-	(void) fprintf(fp, targFmt, gn->name);
+	fprintf(fp, targFmt, gn->name);
 #endif
 
 /*
@@ -331,7 +331,7 @@
     int	signo = *(int *) signop;
 #ifdef RMT_WANTS_SIGNALS
     if (job->flags & JOB_REMOTE) {
-	(void) Rmt_Signal(job, signo);
+	Rmt_Signal(job, signo);
     } else {
 	KILL(job->pid, signo);
     }
@@ -341,10 +341,10 @@
      * job as well.
      */
     if (DEBUG(JOB)) {
-	(void) fprintf(stdout,
+	fprintf(stdout,
 		       "JobCondPassSig passing signal %d to child %d.\n",
 		       signo, job->pid);
-	(void) fflush(stdout);
+	fflush(stdout);
     }
     KILL(job->pid, signo);
 #endif
@@ -373,8 +373,8 @@
     struct sigaction act;
 
     if (DEBUG(JOB)) {
-	(void) fprintf(stdout, "JobPassSig(%d) called.\n", signo);
-	(void) fflush(stdout);
+	fprintf(stdout, "JobPassSig(%d) called.\n", signo);
+	fflush(stdout);
     }
     Lst_ForEach(jobs, JobCondPassSig, (ClientData) &signo);
 
@@ -411,19 +411,19 @@
     sigaction(signo, &act, NULL);
 
     if (DEBUG(JOB)) {
-	(void) fprintf(stdout,
+	fprintf(stdout,
 		       "JobPassSig passing signal to self, mask = %x.\n",
 		       ~0 & ~(1 << (signo-1)));
-	(void) fflush(stdout);
+	fflush(stdout);
     }
-    (void) signal(signo, SIG_DFL);
+    signal(signo, SIG_DFL);
 
-    (void) KILL(getpid(), signo);
+    KILL(getpid(), signo);
 
     signo = SIGCONT;
     Lst_ForEach(jobs, JobCondPassSig, (ClientData) &signo);
 
-    (void) sigprocmask(SIG_SETMASK, &omask, NULL);
+    sigprocmask(SIG_SETMASK, &omask, NULL);
     sigprocmask(SIG_SETMASK, &omask, NULL);
     act.sa_handler = JobPassSig;
     sigaction(signo, &act, NULL);
@@ -534,11 +534,11 @@
     }
 
 #define DBPRINTF(fmt, arg) if (DEBUG(JOB)) {	\
-	(void) fprintf(stdout, fmt, arg); 	\
-	(void) fflush(stdout); 			\
+	fprintf(stdout, fmt, arg); 	\
+	fflush(stdout); 			\
     }						\
-   (void) fprintf(job->cmdFILE, fmt, arg);	\
-   (void) fflush(job->cmdFILE);
+   fprintf(job->cmdFILE, fmt, arg);	\
+   fflush(job->cmdFILE);
 
     numCommands += 1;
 
@@ -668,7 +668,7 @@
     ClientData   gn;
 {
     cmd = (ClientData) Var_Subst(NULL, (char *) cmd, (GNode *) gn, FALSE);
-    (void) Lst_AtEnd(postCommands->commands, cmd);
+    Lst_AtEnd(postCommands->commands, cmd);
     return(0);
 }
 
@@ -697,12 +697,12 @@
 	FD_CLR(job->inPipe, &outputs);
 #endif
 	if (job->outPipe != job->inPipe) {
-	   (void) close(job->outPipe);
+	   close(job->outPipe);
 	}
 	JobDoOutput(job, TRUE);
-	(void) close(job->inPipe);
+	close(job->inPipe);
     } else {
-	(void) close(job->outFd);
+	close(job->outFd);
 	JobDoOutput(job, TRUE);
     }
 }
@@ -755,7 +755,7 @@
 #endif
 	JobClose(job);
 	if (job->cmdFILE != NULL && job->cmdFILE != stdout) {
-	   (void) fclose(job->cmdFILE);
+	   fclose(job->cmdFILE);
 	}
 	done = TRUE;
 #ifdef REMOTE
@@ -809,15 +809,15 @@
 
 	if (WIFEXITED(*status)) {
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "Process %d exited.\n", job->pid);
-		(void) fflush(stdout);
+		fprintf(stdout, "Process %d exited.\n", job->pid);
+		fflush(stdout);
 	    }
 	    if (WEXITSTATUS(*status) != 0) {
 		if (usePipes && job->node != lastNode) {
 		    MESSAGE(out, job->node);
 		    lastNode = job->node;
 		}
-		(void) fprintf(out, "*** Error code %d%s\n",
+		fprintf(out, "*** Error code %d%s\n",
 			       WEXITSTATUS(*status),
 			       (job->flags & JOB_IGNERR) ? "(ignored)" : "");
 
@@ -829,28 +829,28 @@
 		    MESSAGE(out, job->node);
 		    lastNode = job->node;
 		}
-		(void) fprintf(out, "*** Completed successfully\n");
+		fprintf(out, "*** Completed successfully\n");
 	    }
 	} else if (WIFSTOPPED(*status)) {
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "Process %d stopped.\n", job->pid);
-		(void) fflush(stdout);
+		fprintf(stdout, "Process %d stopped.\n", job->pid);
+		fflush(stdout);
 	    }
 	    if (usePipes && job->node != lastNode) {
 		MESSAGE(out, job->node);
 		lastNode = job->node;
 	    }
 	    if (!(job->flags & JOB_REMIGRATE)) {
-		(void) fprintf(out, "*** Stopped -- signal %d\n",
+		fprintf(out, "*** Stopped -- signal %d\n",
 		    WSTOPSIG(*status));
 	    }
 	    job->flags |= JOB_RESUME;
-	    (void)Lst_AtEnd(stoppedJobs, (ClientData)job);
+	    Lst_AtEnd(stoppedJobs, (ClientData)job);
 #ifdef REMOTE
 	    if (job->flags & JOB_REMIGRATE)
 		JobRestart(job);
 #endif
-	    (void) fflush(out);
+	    fflush(out);
 	    return;
 	} else if (WTERMSIG(*status) == SIGCONT) {
 	    /*
@@ -863,14 +863,14 @@
 		    MESSAGE(out, job->node);
 		    lastNode = job->node;
 		}
-		(void) fprintf(out, "*** Continued\n");
+		fprintf(out, "*** Continued\n");
 	    }
 	    if (!(job->flags & JOB_CONTINUING)) {
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout,
+		    fprintf(stdout,
 				   "Warning: process %d was not continuing.\n",
 				   job->pid);
-		    (void) fflush(stdout);
+		    fflush(stdout);
 		}
 #ifdef notdef
 		/*
@@ -887,31 +887,31 @@
 	    nJobs += 1;
 	    if (!(job->flags & JOB_REMOTE)) {
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout,
+		    fprintf(stdout,
 				   "Process %d is continuing locally.\n",
 				   job->pid);
-		    (void) fflush(stdout);
+		    fflush(stdout);
   		}
 		nLocal += 1;
 	    }
 	    if (nJobs == maxJobs) {
 		jobFull = TRUE;
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout, "Job queue is full.\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "Job queue is full.\n");
+		    fflush(stdout);
   		}
   	    }
-	    (void) fflush(out);
+	    fflush(out);
   	    return;
 	} else {
 	    if (usePipes && job->node != lastNode) {
 		MESSAGE(out, job->node);
 		lastNode = job->node;
 	    }
-	    (void) fprintf(out, "*** Signal %d\n", WTERMSIG(*status));
+	    fprintf(out, "*** Signal %d\n", WTERMSIG(*status));
 	}
 
-	(void) fflush(out);
+	fflush(out);
     }
 
     /*
@@ -1021,8 +1021,8 @@
     }
 
     if (!silent) {
-	(void) fprintf(stdout, "touch %s\n", gn->name);
-	(void) fflush(stdout);
+	fprintf(stdout, "touch %s\n", gn->name);
+	fflush(stdout);
     }
 
     if (noExecute) {
@@ -1048,15 +1048,15 @@
 		 * modification time, then close the file.
 		 */
 		if (read(streamID, &c, 1) == 1) {
-		    (void) lseek(streamID, 0L, SEEK_SET);
-		    (void) write(streamID, &c, 1);
+		    lseek(streamID, 0L, SEEK_SET);
+		    write(streamID, &c, 1);
 		}
 
-		(void) close(streamID);
+		close(streamID);
 	    } else {
-		(void) fprintf(stdout, "*** couldn't touch %s: %s",
+		fprintf(stdout, "*** couldn't touch %s: %s",
 			       file, strerror(errno));
-		(void) fflush(stdout);
+		fflush(stdout);
 	    }
 	}
     }
@@ -1113,11 +1113,11 @@
 	    static const char msg[] = "make: don't know how to make";
 
 	    if (gn->type & OP_OPTIONAL) {
-		(void) fprintf(stdout, "%s %s(ignored)\n", msg, gn->name);
-		(void) fflush(stdout);
+		fprintf(stdout, "%s %s(ignored)\n", msg, gn->name);
+		fflush(stdout);
 	    } else if (keepgoing) {
-		(void) fprintf(stdout, "%s %s(continuing)\n", msg, gn->name);
-		(void) fflush(stdout);
+		fprintf(stdout, "%s %s(continuing)\n", msg, gn->name);
+		fflush(stdout);
   		return FALSE;
 	    } else {
 #if OLD_JOKE
@@ -1181,14 +1181,14 @@
     if (DEBUG(JOB)) {
 	int 	  i;
 
-	(void) fprintf(stdout, "Running %s %sly\n", job->node->name,
+	fprintf(stdout, "Running %s %sly\n", job->node->name,
 		       job->flags&JOB_REMOTE?"remote":"local");
-	(void) fprintf(stdout, "\tCommand: ");
+	fprintf(stdout, "\tCommand: ");
 	for (i = 0; argv[i] != NULL; i++) {
-	    (void) fprintf(stdout, "%s ", argv[i]);
+	    fprintf(stdout, "%s ", argv[i]);
 	}
- 	(void) fprintf(stdout, "\n");
- 	(void) fflush(stdout);
+ 	fprintf(stdout, "\n");
+ 	fflush(stdout);
     }
 
     /*
@@ -1220,8 +1220,8 @@
 	 */
 	if (dup2(FILENO(job->cmdFILE), 0) == -1)
 	    Punt("Cannot dup2: %s", strerror(errno));
-	(void) fcntl(0, F_SETFD, 0);
-	(void) lseek(0, 0, SEEK_SET);
+	fcntl(0, F_SETFD, 0);
+	lseek(0, 0, SEEK_SET);
 
 	if (usePipes) {
 	    /*
@@ -1245,7 +1245,7 @@
 	 * it before routing the shell's error output to the same place as
 	 * its standard output.
 	 */
-	(void) fcntl(1, F_SETFD, 0);
+	fcntl(1, F_SETFD, 0);
 	if (dup2(1, 2) == -1)
 	    Punt("Cannot dup2: %s", strerror(errno));
 
@@ -1256,9 +1256,9 @@
 	 * by killing its process family, but not commit suicide.
 	 */
 # if defined(SYSV)
-	(void) setsid();
+	setsid();
 # else
-	(void) setpgid(0, getpid());
+	setpgid(0, getpid());
 # endif
 #endif /* USE_PGRP */
 
@@ -1267,9 +1267,9 @@
 	    Rmt_Exec(shellPath, argv, FALSE);
 	} else
 #endif /* REMOTE */
-	   (void) execv(shellPath, argv);
+	   execv(shellPath, argv);
 
-	(void) write(2, "Could not execute shell\n",
+	write(2, "Could not execute shell\n",
 		     sizeof("Could not execute shell"));
 	_exit(1);
     } else {
@@ -1305,12 +1305,12 @@
 	     * XXX: Used to not happen if REMOTE. Why?
 	     */
 	    if (job->cmdFILE != NULL && job->cmdFILE != stdout) {
-		(void) fclose(job->cmdFILE);
+		fclose(job->cmdFILE);
 		job->cmdFILE = NULL;
 	    }
 	}
 #ifdef REMOTE
-	(void) sigsetmask(omask);
+	sigsetmask(omask);
 #endif
     }
 
@@ -1321,7 +1321,7 @@
      * Now the job is actually running, add it to the table.
      */
     nJobs += 1;
-    (void) Lst_AtEnd(jobs, (ClientData)job);
+    Lst_AtEnd(jobs, (ClientData)job);
     if (nJobs == maxJobs) {
 	jobFull = TRUE;
     }
@@ -1359,7 +1359,7 @@
 	 * Bourne shell thinks its second argument is a file to source.
 	 * Grrrr. Note the ten-character limitation on the combined arguments.
 	 */
-	(void)sprintf(args, "-%s%s",
+	sprintf(args, "-%s%s",
 		      ((job->flags & JOB_IGNERR) ? "" :
 		       (commandShell->exit ? commandShell->exit : "")),
 		      ((job->flags & JOB_SILENT) ? "" :
@@ -1409,16 +1409,16 @@
 	    verboseRemigrates ||
 #endif
 	    DEBUG(JOB)) {
-	   (void) fprintf(stdout, "*** remigrating %x(%s)\n",
+	   fprintf(stdout, "*** remigrating %x(%s)\n",
 			   job->pid, job->node->name);
-	   (void) fflush(stdout);
+	   fflush(stdout);
 	}
 
 #ifdef REMOTE
 	if (!Rmt_ReExport(job->pid, job->node, &host)) {
 	    if (verboseRemigrates || DEBUG(JOB)) {
-		(void) fprintf(stdout, "*** couldn't migrate...\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "*** couldn't migrate...\n");
+		fflush(stdout);
 	    }
 #endif
 	    if (nLocal != maxLocal) {
@@ -1432,8 +1432,8 @@
 		    verboseRemigrates ||
 #endif
 		    DEBUG(JOB)) {
-		    (void) fprintf(stdout, "*** resuming on local machine\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "*** resuming on local machine\n");
+		    fflush(stdout);
 		}
 		KILL(job->pid, SIGCONT);
 		nLocal +=1;
@@ -1453,14 +1453,14 @@
 		    verboseRemigrates ||
 #endif
 		    DEBUG(JOB)) {
-		   (void) fprintf(stdout, "*** holding\n");
-		   (void) fflush(stdout);
+		   fprintf(stdout, "*** holding\n");
+		   fflush(stdout);
   		}
-		(void)Lst_AtFront(stoppedJobs, (ClientData)job);
+		Lst_AtFront(stoppedJobs, (ClientData)job);
 		jobFull = TRUE;
 		if (DEBUG(JOB)) {
-		   (void) fprintf(stdout, "Job queue is full.\n");
-		   (void) fflush(stdout);
+		   fprintf(stdout, "Job queue is full.\n");
+		   fflush(stdout);
 		}
 		return;
 	    }
@@ -1477,13 +1477,13 @@
 	}
 #endif
 
-	(void)Lst_AtEnd(jobs, (ClientData)job);
+	Lst_AtEnd(jobs, (ClientData)job);
 	nJobs += 1;
 	if (nJobs == maxJobs) {
 	    jobFull = TRUE;
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "Job queue is full.\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "Job queue is full.\n");
+		fflush(stdout);
 	    }
 	}
     } else if (job->flags & JOB_RESTART) {
@@ -1500,8 +1500,8 @@
 	JobMakeArgv(job, argv);
 
 	if (DEBUG(JOB)) {
-	    (void) fprintf(stdout, "Restarting %s...", job->node->name);
-	    (void) fflush(stdout);
+	    fprintf(stdout, "Restarting %s...", job->node->name);
+	    fflush(stdout);
 	}
 #ifdef REMOTE
 	if ((job->node->type&OP_NOEXPORT) ||
@@ -1519,14 +1519,14 @@
 		 * back on the hold queue and mark the table full
 		 */
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout, "holding\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "holding\n");
+		    fflush(stdout);
 		}
-		(void)Lst_AtFront(stoppedJobs, (ClientData)job);
+		Lst_AtFront(stoppedJobs, (ClientData)job);
 		jobFull = TRUE;
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout, "Job queue is full.\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "Job queue is full.\n");
+		    fflush(stdout);
 		}
 		return;
 	    } else {
@@ -1534,8 +1534,8 @@
 		 * Job may be run locally.
 		 */
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout, "running locally\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "running locally\n");
+		    fflush(stdout);
 		}
 		job->flags &= ~JOB_REMOTE;
 	    }
@@ -1546,8 +1546,8 @@
 	     * Can be exported. Hooray!
 	     */
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "exporting\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "exporting\n");
+		fflush(stdout);
 	    }
 	    job->flags |= JOB_REMOTE;
 	}
@@ -1559,8 +1559,8 @@
 	 * we don't know...
 	 */
 	if (DEBUG(JOB)) {
-	   (void) fprintf(stdout, "Resuming %s...", job->node->name);
-	   (void) fflush(stdout);
+	   fprintf(stdout, "Resuming %s...", job->node->name);
+	   fflush(stdout);
 	}
 	if (((job->flags & JOB_REMOTE) ||
 	    (nLocal < maxLocal) ||
@@ -1602,8 +1602,8 @@
 
 		job->flags &= ~(JOB_RESUME|JOB_CONTINUING);
 		if (DEBUG(JOB)) {
-		   (void) fprintf(stdout, "done\n");
-		   (void) fflush(stdout);
+		   fprintf(stdout, "done\n");
+		   fflush(stdout);
 		}
 	    } else {
 		Error("couldn't resume %s: %s",
@@ -1618,14 +1618,14 @@
 	     * place the job back on the list of stopped jobs.
 	     */
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "table full\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "table full\n");
+		fflush(stdout);
 	    }
-	    (void) Lst_AtFront(stoppedJobs, (ClientData)job);
+	    Lst_AtFront(stoppedJobs, (ClientData)job);
 	    jobFull = TRUE;
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "Job queue is full.\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "Job queue is full.\n");
+		fflush(stdout);
 	    }
 	}
     }
@@ -1715,7 +1715,7 @@
 	    DieHorribly();
 	}
 
-	(void) strcpy(tfile, TMPPAT);
+	strcpy(tfile, TMPPAT);
 	if ((tfd = mkstemp(tfile)) == -1)
 	    Punt("Cannot create temp file: %s", strerror(errno));
 	job->cmdFILE = fdopen(tfd, "w+");
@@ -1724,7 +1724,7 @@
 	    close(tfd);
 	    Punt("Could not open %s", tfile);
 	}
-	(void) fcntl(FILENO(job->cmdFILE), F_SETFD, 1);
+	fcntl(FILENO(job->cmdFILE), F_SETFD, 1);
 	/*
 	 * Send the commands to the command file, flush all its buffers then
 	 * rewind and remove the thing.
@@ -1829,9 +1829,9 @@
 	 */
 	if (job->cmdFILE != stdout) {
 	    if (job->cmdFILE != NULL)
-		(void) fclose(job->cmdFILE);
+		fclose(job->cmdFILE);
 	} else {
-	     (void) fflush(stdout);
+	     fflush(stdout);
 	}
 
 	/*
@@ -1855,7 +1855,7 @@
 	    return(JOB_ERROR);
 	}
     } else {
-	(void) fflush(job->cmdFILE);
+	fflush(job->cmdFILE);
     }
 
     /*
@@ -1876,15 +1876,15 @@
 		Punt("Cannot create pipe: %s", strerror(errno));
 	    job->inPipe = fd[0];
 	    job->outPipe = fd[1];
-	    (void) fcntl(job->inPipe, F_SETFD, 1);
-	    (void) fcntl(job->outPipe, F_SETFD, 1);
+	    fcntl(job->inPipe, F_SETFD, 1);
+	    fcntl(job->outPipe, F_SETFD, 1);
 	} else {
-	    (void) fprintf(stdout, "Remaking `%s'\n", gn->name);
-  	    (void) fflush(stdout);
-	    (void) strcpy(job->outFile, TMPPAT);
+	    fprintf(stdout, "Remaking `%s'\n", gn->name);
+  	    fflush(stdout);
+	    strcpy(job->outFile, TMPPAT);
 	    if ((job->outFd = mkstemp(job->outFile)) == -1)
 		Punt("cannot create temp file: %s", strerror(errno));
-	    (void) fcntl(job->outFd, F_SETFD, 1);
+	    fcntl(job->outFd, F_SETFD, 1);
 	}
     }
 
@@ -1923,11 +1923,11 @@
 	jobFull = TRUE;
 
 	if (DEBUG(JOB)) {
-	   (void) fprintf(stdout, "Can only run job locally.\n");
-	   (void) fflush(stdout);
+	   fprintf(stdout, "Can only run job locally.\n");
+	   fflush(stdout);
 	}
 	job->flags |= JOB_RESTART;
-	(void) Lst_AtEnd(stoppedJobs, (ClientData)job);
+	Lst_AtEnd(stoppedJobs, (ClientData)job);
     } else {
 	if ((nLocal >= maxLocal) && local) {
 	    /*
@@ -1936,8 +1936,8 @@
 	     */
 	    jobFull = TRUE;
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "Local job queue is full.\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "Local job queue is full.\n");
+		fflush(stdout);
 	    }
 	}
 	JobExec(job, argv);
@@ -1968,8 +1968,8 @@
 		 * however, since the non-printable comes after it,
 		 * there must be a newline, so we don't print one.
 		 */
-		(void) fprintf(stdout, "%s", cp);
-		(void) fflush(stdout);
+		fprintf(stdout, "%s", cp);
+		fflush(stdout);
 	    }
 	    cp = ecp + commandShell->noPLen;
 	    if (cp != endp) {
@@ -2124,13 +2124,13 @@
 			MESSAGE(stdout, job->node);
 			lastNode = job->node;
 		    }
-		    (void) fprintf(stdout, "%s%s", cp, gotNL ? "\n" : "");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "%s%s", cp, gotNL ? "\n" : "");
+		    fflush(stdout);
 		}
 	    }
 	    if (i < max - 1) {
 		/* shift the remaining characters down */
-		(void) memcpy(job->outBuf, &job->outBuf[i + 1], max - (i + 1));
+		memcpy(job->outBuf, &job->outBuf[i + 1], max - (i + 1));
 		job->curPos = max - (i + 1);
 
 	    } else {
@@ -2165,8 +2165,8 @@
 	 */
 	oFILE = fopen(job->outFile, "r");
 	if (oFILE != NULL) {
-	    (void) fprintf(stdout, "Results of making %s:\n", job->node->name);
-	    (void) fflush(stdout);
+	    fprintf(stdout, "Results of making %s:\n", job->node->name);
+	    fflush(stdout);
 	    while (fgets(inLine, sizeof(inLine), oFILE) != NULL) {
 		register char	*cp, *endp, *oendp;
 
@@ -2182,15 +2182,15 @@
 		 * we know there's no newline at the end, so we add one of
 		 * our own free will.
 		 */
-		(void) fprintf(stdout, "%s", cp);
-		(void) fflush(stdout);
+		fprintf(stdout, "%s", cp);
+		fflush(stdout);
 		if (endp != oendp) {
-		    (void) fprintf(stdout, "\n");
-		    (void) fflush(stdout);
+		    fprintf(stdout, "\n");
+		    fflush(stdout);
 		}
 	    }
-	    (void) fclose(oFILE);
-	    (void) eunlink(job->outFile);
+	    fclose(oFILE);
+	    eunlink(job->outFile);
 	}
     }
 }
@@ -2234,8 +2234,8 @@
 			  (block?0:WNOHANG)|WUNTRACED)) > 0)
     {
 	if (DEBUG(JOB)) {
-	    (void) fprintf(stdout, "Process %d exited or stopped.\n", pid);
-	    (void) fflush(stdout);
+	    fprintf(stdout, "Process %d exited or stopped.\n", pid);
+	    fflush(stdout);
 	}
 
 
@@ -2249,26 +2249,26 @@
 		    continue;
 		}
 		job = (Job *)Lst_Datum(jnode);
-		(void) Lst_Remove(stoppedJobs, jnode);
+		Lst_Remove(stoppedJobs, jnode);
 	    } else {
 		Error("Child (%d) not in table?", pid);
 		continue;
 	    }
 	} else {
 	    job = (Job *) Lst_Datum(jnode);
-	    (void) Lst_Remove(jobs, jnode);
+	    Lst_Remove(jobs, jnode);
 	    nJobs -= 1;
 	    if (jobFull && DEBUG(JOB)) {
-		(void) fprintf(stdout, "Job queue is no longer full.\n");
-		(void) fflush(stdout);
+		fprintf(stdout, "Job queue is no longer full.\n");
+		fflush(stdout);
 	    }
 	    jobFull = FALSE;
 #ifdef REMOTE
 	    if (!(job->flags & JOB_REMOTE)) {
 		if (DEBUG(JOB)) {
-		    (void) fprintf(stdout,
+		    fprintf(stdout,
 				   "Job queue has one fewer local process.\n");
-		    (void) fflush(stdout);
+		    fflush(stdout);
 		}
 		nLocal -= 1;
 	    }
@@ -2309,7 +2309,7 @@
     int	    	  	  pnJobs;   	/* Previous nJobs */
 #endif
 
-    (void) fflush(stdout);
+    fflush(stdout);
 #ifdef RMT_WILL_WATCH
     pnJobs = nJobs;
 
@@ -2376,7 +2376,7 @@
 Job_Make(gn)
     GNode   *gn;
 {
-    (void) JobStart(gn, 0, NULL);
+    JobStart(gn, 0, NULL);
 }
 
 /*-
@@ -2451,16 +2451,16 @@
      * JobPassSig will take care of calling JobInterrupt if appropriate.
      */
     if (signal(SIGINT, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGINT, JobPassSig);
+	signal(SIGINT, JobPassSig);
     }
     if (signal(SIGHUP, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGHUP, JobPassSig);
+	signal(SIGHUP, JobPassSig);
     }
     if (signal(SIGQUIT, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGQUIT, JobPassSig);
+	signal(SIGQUIT, JobPassSig);
     }
     if (signal(SIGTERM, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGTERM, JobPassSig);
+	signal(SIGTERM, JobPassSig);
     }
     /*
      * There are additional signals that need to be caught and passed if
@@ -2470,16 +2470,16 @@
      */
 #if defined(RMT_WANTS_SIGNALS) || defined(USE_PGRP)
     if (signal(SIGTSTP, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGTSTP, JobPassSig);
+	signal(SIGTSTP, JobPassSig);
     }
     if (signal(SIGTTOU, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGTTOU, JobPassSig);
+	signal(SIGTTOU, JobPassSig);
     }
     if (signal(SIGTTIN, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGTTIN, JobPassSig);
+	signal(SIGTTIN, JobPassSig);
     }
     if (signal(SIGWINCH, SIG_IGN) != SIG_IGN) {
-	(void) signal(SIGWINCH, JobPassSig);
+	signal(SIGWINCH, JobPassSig);
     }
 #endif
 
@@ -2784,7 +2784,7 @@
 
     aborting = ABORT_INTERRUPT;
 
-   (void) Lst_Open(jobs);
+   Lst_Open(jobs);
     while ((ln = Lst_Next(jobs)) != NILLNODE) {
 	job = (Job *) Lst_Datum(ln);
 
@@ -2818,10 +2818,10 @@
 #else
 	if (job->pid) {
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout,
+		fprintf(stdout,
 			       "JobInterrupt passing signal to child %d.\n",
 			       job->pid);
-		(void) fflush(stdout);
+		fflush(stdout);
 	    }
 	    KILL(job->pid, signo);
 	}
@@ -2829,16 +2829,16 @@
     }
 
 #ifdef REMOTE
-   (void)Lst_Open(stoppedJobs);
+   Lst_Open(stoppedJobs);
     while ((ln = Lst_Next(stoppedJobs)) != NILLNODE) {
 	job = (Job *) Lst_Datum(ln);
 
 	if (job->flags & JOB_RESTART) {
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout, "%s%s",
+		fprintf(stdout, "%s%s",
 			       "JobInterrupt skipping job on stopped queue",
 			       "-- it was waiting to be restarted.\n");
-		(void) fflush(stdout);
+		fflush(stdout);
 	    }
 	    continue;
 	}
@@ -2854,10 +2854,10 @@
 	 * Resume the thing so it will take the signal.
 	 */
 	if (DEBUG(JOB)) {
-	    (void) fprintf(stdout,
+	    fprintf(stdout,
 			   "JobInterrupt passing CONT to stopped child %d.\n",
 			   job->pid);
-	    (void) fflush(stdout);
+	    fflush(stdout);
 	}
 	KILL(job->pid, SIGCONT);
 #ifdef RMT_WANTS_SIGNALS
@@ -2877,10 +2877,10 @@
 	    }
 	} else if (job->pid) {
 	    if (DEBUG(JOB)) {
-		(void) fprintf(stdout,
+		fprintf(stdout,
 		       "JobInterrupt passing interrupt to stopped child %d.\n",
 			       job->pid);
-		(void) fflush(stdout);
+		fflush(stdout);
 	    }
 	    KILL(job->pid, SIGINT);
 	}
@@ -2987,7 +2987,7 @@
 
     if (nJobs) {
 
-	(void) Lst_Open(jobs);
+	Lst_Open(jobs);
 	while ((ln = Lst_Next(jobs)) != NILLNODE) {
 	    job = (Job *) Lst_Datum(ln);
 
@@ -3040,8 +3040,8 @@
     LstNode       jnode;    	/* list element for finding job */
 
     if (DEBUG(JOB)) {
-	(void) fprintf(stdout, "JobFlagForMigration(%d) called.\n", hostID);
-	(void) fflush(stdout);
+	fprintf(stdout, "JobFlagForMigration(%d) called.\n", hostID);
+	fflush(stdout);
     }
     jnode = Lst_Find(jobs, (ClientData)hostID, JobCmpRmtID);
 
@@ -3057,10 +3057,10 @@
     job = (Job *) Lst_Datum(jnode);
 
     if (DEBUG(JOB)) {
-	(void) fprintf(stdout,
+	fprintf(stdout,
 		       "JobFlagForMigration(%d) found job '%s'.\n", hostID,
 		       job->node->name);
-	(void) fflush(stdout);
+	fflush(stdout);
     }
 
     KILL(job->pid, SIGSTOP);
@@ -3090,9 +3090,9 @@
 {
     while (!jobFull && !Lst_IsEmpty(stoppedJobs)) {
 	if (DEBUG(JOB)) {
-	    (void) fprintf(stdout,
+	    fprintf(stdout,
 		       "Job queue is not full. Restarting a stopped job.\n");
-	    (void) fflush(stdout);
+	    fflush(stdout);
 	}
 	JobRestart((Job *)Lst_DeQueue(stoppedJobs));
     }
